[oe-commits] org.oe.oz354x initscripts:

coredump commit openembedded-commits at lists.openembedded.org
Mon Nov 27 20:36:18 UTC 2006


initscripts: 
 - Reformat some echo lines to be more readable on QVGA
 - echo RETURNCODE after fsck run
 - raise RETURNCODE for a FUBAR FS to -gt3

Author: coredump at openembedded.org
Branch: org.openembedded.oz354x
Revision: df0ba4e0c8b589b39805738a5ad451e0513010bf
ViewMTN: http://monotone.openembedded.org/revision.psp?id=df0ba4e0c8b589b39805738a5ad451e0513010bf
Files:
1
packages/initscripts/initscripts-1.0/checkroot.sh
packages/initscripts/initscripts_1.0.bb
Diffs:

#
# mt diff -r7c5ac330cb14c2d217496afac6765533c173008d -rdf0ba4e0c8b589b39805738a5ad451e0513010bf
#
# 
# 
# patch "packages/initscripts/initscripts-1.0/checkroot.sh"
#  from [ad401bbd0b9d23cb65487d8d274c902bbc254d11]
#    to [4a53d2a5103264af9ecb3d3280ad0cdbe80d6e41]
# 
# patch "packages/initscripts/initscripts_1.0.bb"
#  from [f13f746a72b0a697dc9ecb00b4bbc7b216e7c574]
#    to [b780fb62d1cefe9a02ddc92b28ab4ebdf5f07669]
# 
============================================================
--- packages/initscripts/initscripts-1.0/checkroot.sh	ad401bbd0b9d23cb65487d8d274c902bbc254d11
+++ packages/initscripts/initscripts-1.0/checkroot.sh	4a53d2a5103264af9ecb3d3280ad0cdbe80d6e41
@@ -141,6 +141,9 @@ else
     test `uname -m` = s390 && spinner="" # This should go away
     test "$VERBOSE" != no && echo "Checking root filesystem..."
     fsck $spinner $force $fix /
+    
+    RTC="$?"
+    
     #
     # If there was a failure, drop into single-user mode.
     #
@@ -148,7 +151,10 @@ else
     # 2 or larger.  A return code of 1 indicates that filesystem
     # errors were corrected but that the boot may proceed.
     #
-    if test "$?" -gt 1
+    
+    echo "RETURNCODE: [$RTC]"
+    
+    if test "$RTC" -gt 3
     then
     
       # Since this script is run very early in the boot-process, it should be safe to assume that the
@@ -159,13 +165,14 @@ else
       # Surprise! Re-directing from a HERE document (as in
       # "cat << EOF") won't work, because the root is read-only.
       echo
-      echo "fsck failed.  Please repair manually and reboot.  Please note"
-      echo "that the root filesystem is currently mounted read-only.  To"
-      echo "remount it read-write:"
+      echo "fsck failed.  Please repair manually and reboot. " 
+      echo "Please note that the root filesystem is currently "
+      echo "mounted read-only.  To remount it read-write:"
       echo
       echo "   # mount -n -o remount,rw /"
       echo
-      echo "CONTROL-D will exit from this shell and REBOOT the system."
+      echo "CONTROL-D will exit from this shell"
+      echo "and REBOOT the system."
       echo
       # Start a single user shell on the console
       /sbin/sulogin $CONSOLE
============================================================
--- packages/initscripts/initscripts_1.0.bb	f13f746a72b0a697dc9ecb00b4bbc7b216e7c574
+++ packages/initscripts/initscripts_1.0.bb	b780fb62d1cefe9a02ddc92b28ab4ebdf5f07669
@@ -6,7 +6,7 @@ LICENSE = "GPL"
 DEPENDS_openzaurus = "makedevs virtual/kernel"
 RDEPENDS = "makedevs"
 LICENSE = "GPL"
-PR = "r74"
+PR = "r75"
 
 SRC_URI = "file://halt \
            file://ramdisk \






More information about the Openembedded-commits mailing list